#pragma once

#include <object/entity.hpp>
#include <renderer/texture.hpp>
#include <renderer/font.hpp>
#include <object/sound.hpp>

namespace Game::AGame {
GAME_ENTITY(Background)
    public:
        void onWindowResized(int newWidth, int newHeight) override;
    private:
        Object::Sound mSound;
END_GAME_ENTITY()
}